> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verificar dominio

> Verifica la delegación de servidores de nombres para un dominio de cliente.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json POST /v1/public/accounts/{account_id}/domains/{domain}/verify
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}/verify:
    post:
      tags:
        - public-accounts
        - public-domains
      summary: Verificar dominio
      description: >-
        Verifica la delegación de servidores de nombres para un dominio de
        cliente.
      operationId: >-
        verify_public_domain_v1_public_accounts__account_id__domains__domain__verify_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainVerifyResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainVerifyResponse:
      properties:
        actual_nameservers:
          items:
            type: string
          title: Servidores de nombres actuales
          type: array
        domain_id:
          format: uuid
          title: Id de dominio
          type: string
        expected_nameservers:
          items:
            type: string
          title: Servidores de nombres esperados
          type: array
        message:
          title: mensaje
          type: string
        missing_nameservers:
          items:
            type: string
          title: faltantes servidores de nombres
          type: array
        status:
          title: Estado
          type: string
        unexpected_nameservers:
          items:
            type: string
          title: inesperados servidores de nombres
          type: array
        verified:
          title: Verificado
          type: boolean
      required:
        - domain_id
        - verified
        - status
        - expected_nameservers
        - actual_nameservers
        - message
      title: DomainVerifyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````